Package in.cdac.medinfo.csnotk.csnolib.ecl

## Class SECLObjectFactory

- java.lang.Object
- - org.snomed.langauges.ecl.ECLObjectFactory
  - - in.cdac.medinfo.csnotk.csnolib.ecl.SECLObjectFactory

-     public class SECLObjectFactory
      extends org.snomed.langauges.ecl.ECLObjectFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SECLObjectFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.snomed.langauges.ecl.domain.filter.ConceptFilterConstraint` | `getConceptFilterConstraint()` |
    `org.snomed.langauges.ecl.domain.filter.DescriptionFilterConstraint` | `getDescriptionFilterConstraint()` |
    `org.snomed.langauges.ecl.domain.filter.FieldFilter` | `getFieldFilter​(java.lang.String fieldName, boolean equals)` |
    `org.snomed.langauges.ecl.domain.filter.HistorySupplement` | `getHistorySupplement()` |
    `org.snomed.langauges.ecl.domain.filter.MemberFieldFilter` | `getMemberFieldFilter​(java.lang.String fieldName)` |
    `org.snomed.langauges.ecl.domain.filter.MemberFilterConstraint` | `getMemberFilterConstraint()` |

    - ### Methods inherited from class org.snomed.langauges.ecl.ECLObjectFactory

      `getActiveFilter, getDescriptionTypeFilter, getDialectAcceptability, getDialectAcceptability, getDialectAcceptability, getDialectFilter, getEffectiveTimeFilter, getLanguageFilter, getTermFilter, getTypedSearchTerm`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SECLObjectFactory

          public SECLObjectFactory()

  - ### Method Detail

    - #### getHistorySupplement

          public org.snomed.langauges.ecl.domain.filter.HistorySupplement getHistorySupplement()

      Overrides:
        `getHistorySupplement` in class `org.snomed.langauges.ecl.ECLObjectFactory`

    - #### getConceptFilterConstraint

          public org.snomed.langauges.ecl.domain.filter.ConceptFilterConstraint getConceptFilterConstraint()

      Overrides:
        `getConceptFilterConstraint` in class `org.snomed.langauges.ecl.ECLObjectFactory`

    - #### getDescriptionFilterConstraint

          public org.snomed.langauges.ecl.domain.filter.DescriptionFilterConstraint getDescriptionFilterConstraint()

      Overrides:
        `getDescriptionFilterConstraint` in class `org.snomed.langauges.ecl.ECLObjectFactory`

    - #### getMemberFilterConstraint

          public org.snomed.langauges.ecl.domain.filter.MemberFilterConstraint getMemberFilterConstraint()

      Overrides:
        `getMemberFilterConstraint` in class `org.snomed.langauges.ecl.ECLObjectFactory`

    - #### getMemberFieldFilter

          public org.snomed.langauges.ecl.domain.filter.MemberFieldFilter getMemberFieldFilter​(java.lang.String fieldName)

      Overrides:
        `getMemberFieldFilter` in class `org.snomed.langauges.ecl.ECLObjectFactory`

    - #### getFieldFilter

          public org.snomed.langauges.ecl.domain.filter.FieldFilter getFieldFilter​(java.lang.String fieldName,
                                                                                   boolean equals)

      Overrides:
        `getFieldFilter` in class `org.snomed.langauges.ecl.ECLObjectFactory`